fastforward(1)

NAME
fastforward - forward mail according to a cdb database

SYNOPSIS
in .qmail-default: | fastforward [ -nNpPdD ] cdb

DESCRIPTION
fastforward forwards each incoming message according to instructions in cdb created by setforward.

If there is no forwarding instruction in cdb for the incoming recipient address, fastforward will bounce the message.

You can override .qmail-default with a specific .qmail-recipient; see dot-qmail(5).

Warning to system administrators: Messages do not reach ~alias/.qmail-default unless they are controlled by the alias user. See qmail-getpw(8).

SECURITY WARNING: If cdb includes instructions pointing to a mailing list owned by another user, that user gains some amount of control over fastforward's behavior. In particular, he can force fastforward to open any file that you can access, and to read any world-readable file that you own, even if the file is in a world-inaccessible directory.

OPTIONS

-n  No delivery. fastforward will print a description of its actions, but will not actually read or forward a message.

-N  (Default.) Forward a message as usual.

-p  Pass through. If fastforward does not find the recipient in cdb, it exits 0, giving the message to further commands in .qmail-default. If fastforward finds the recipient, it forwards the message and exits 99, so that further commands are skipped.

-P  (Default.) Do not pass through. If fastforward finds the recipient, it forwards the message and exits 0. Otherwise it bounces the message.

-d  Use $DEFAULT@$HOST as the recipient address, or $EXT@$HOST if $DEFAULT is not set.

-D  (Default.) Use $RECIPIENT as the recipient address.

VERSION
This is fastforward 0.51. The fastforward home page is http://pobox.com/~djb/fastforward.html.

SEE ALSO
newaliases(1), printforward(1), setforward(1), dot-qmail(5), qmail-command(8), qmail-local(8), qmail-getpw(8)